<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class M_AsignRole extends CI_Model
{

    public $table = 'ms_assign_role';
    public $id = 'id_inc';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
        // $this->db = $this->load->database('menu', true);
    }

    // get all
    function get_all()
    {
        $this->db->order_by($this->id, $this->order);
        return $this->db->get($this->table)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->get($this->table)->row();
    }

    // get total rows
    function total_rows($q = NULL)
    {
        $this->db->like('a.id_inc', $q);
        $this->db->or_like('nama', $q);
        $this->db->or_like('nama_role', $q);
        $this->db->join('ms_role c', 'c.id_inc=a.ms_role_id');
        $this->db->join('ms_pengguna b', 'a.ms_pengguna_id=b.id_inc');
        $this->db->from($this->table . ' a');
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL)
    {
        $this->db->order_by($this->id, $this->order);
        $this->db->like('a.id_inc', $q);
        $this->db->or_like('nama', $q);
        $this->db->or_like('nama_role', $q);
        $this->db->limit($limit, $start);
        $this->db->join('ms_role c', 'c.id_inc=a.ms_role_id');
        $this->db->join('ms_pengguna b', 'a.ms_pengguna_id=b.id_inc');
        $this->db->select('a.*,nama,nama_role');
        return $this->db->get($this->table . ' a')->result();
    }

    // insert data
    function insert($data)
    {
        return  $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        return   $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->delete($this->table);
    }
}

/* End of file M_AsignRole.php */
/* Location: ./application/models/M_AsignRole.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2018-07-22 16:37:00 */
/* http://harviacode.com */
